## ppxfind 1.4

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

.PHONY: all
all:
	dune build @install

.PHONY: install
install:
	dune install $(INSTALL_ARGS)

.PHONY: uninstall
uninstall:
	dune uninstall $(INSTALL_ARGS)

.PHONY: reinstall
reinstall:
	$(MAKE) uninstall
	$(MAKE) install

.PHONY: test
test:
	dune runtest

.PHONY: clean
clean:
	dune clean

.PHONY: all-supported-ocaml-versions
all-supported-ocaml-versions:
	dune build --workspace jbuild-workspace.dev

## ppxfind 1.3

=== debian/changelog ===
ppxfind (1.3-1build1) focal; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Feb 2020 12:38:07 +0100

ppxfind (1.3-1) unstable; urgency=medium

  * Initial release (Closes: #939555)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Sep 2019 11:36:04 +0200

=== debian/control ===
Source: ppxfind
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-dune,
 ocaml-findlib,
 libfindlib-ocaml-dev,
 libmigrate-parsetree-ocaml-dev,
 dh-ocaml
Standards-Version: 4.4.0
Section: ocaml
Homepage: https://github.com/diml/ppxfind
Vcs-Git: https://salsa.debian.org/ocaml-team/ppxfind.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ppxfind

Package: ppxfind
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: tool combining ocamlfind and ppx
 Ppxfind is a small command line tool that allow to apply ppx
 rewriters installed on the system on a file. It supports both new
 style ppx rewriters (driverised) and old styles ones.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/ppxfind/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/diml/ppxfind/releases .*/archive/(.*)\.tar\.gz

## ppxfind 1.4

=== debian/changelog ===
ppxfind (1.4-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sat, 25 Jul 2020 08:07:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-dune,
  ocaml-findlib,
  libfindlib-ocaml-dev,
  libmigrate-parsetree-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/diml/ppxfind
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppxfind.git

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,4 @@
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/ppxfind/LICENSE.md
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dwz:
